<template>
<div>
    <div class="right__head" @click.prevent="toggle">
        {{ label }}
        <svg class="downSvg" :style="arrowStyle">
            <use xlink:href="/img/sprite.svg#right-arrow-circular-button"/>
        </svg>
    </div>
    <transition name="slide">
        <div class="right__body--menu" v-if="opened">
            <slot>

            </slot>
        </div>
    </transition>
</div>
</template>

<script>
	export default {
		name: "MenuGroup",
        data(){
			return {
				opened: false,
            }
        },
        props: {
			label: {
				type: String,
                required: true
            },
            test: {
			    type: Array
            }
        },
        computed: {
		    arrowStyle(){
		    	return this.opened ? {
		    		transform: 'rotate(270deg)'
                } : {
					transform: 'rotate(90deg)'
                };
            }
        },
        methods: {
			toggle(){
				this.opened = !this.opened;
            }
        },
        created() {
		    if(Array.isArray(this.test) && this.test.length){
		        const route_name = _.split(this.$route.name, '_', 1).pop();
                this.opened = _.includes(this.test, route_name);
            }
        }
    }
</script>

<style scoped>
    .right__body--menu{
        max-height: 600px;
        overflow: hidden;
    }
    .slide-enter-active,
    .slide-leave-active {
        transition: max-height 1s ease;
    }
    .slide-enter,
    .slide-leave-to {
        max-height: 0px;
    }
</style>
